/*
**  modem.h (FrontDoor)
**
**  Copyright 1991 Joaquim H. Homrighausen. All rights reserved.
**
**  MODEM.FD format for FrontDoor 2.01+
**
**  Last revision:  91-10-02
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/

    typedef struct
        {
        char            matchstr[24],                      /*String to match*/
                        sendstr[32];                        /*String to send*/
        unsigned int    flags;                               /*Various flags*/

        }
        _MODEMREC;

    #define MODEM_MAXENTRY  256          /*Maximum number of entries in list*/
    #define MODEM_INACTIVE  0x0001                 /*Ignore string, inactive*/
    #define MODEM_DELETED   0x8000                   /*Never written to disk*/

/* end of file "modem.h" */
